#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "K39TentacleSwingInputData.generated.h"

USTRUCT(BlueprintType)
struct FK39TentacleSwingInputData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector KillerLocation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector IndicatorLocation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector CameraDirection;

public:
	THEK39_API FK39TentacleSwingInputData();
};

FORCEINLINE uint32 GetTypeHash(const FK39TentacleSwingInputData) { return 0; }
